Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time
Class YearMonthDay.Property

    java.lang.Object
      org.joda.time.field.AbstractPartialFieldProperty
          org.joda.time.YearMonthDay.Property

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  YearMonthDay

Deprecated. Use LocalDate which has a much better internal implementation

    public static class YearMonthDay.Property

extends AbstractPartialFieldProperty
implements java.io.Serializable

The property class for `YearMonthDay`.

This class binds a `YearMonthDay` to a `DateTimeField`.

Since:
  1.0
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Method Summary
`YearMonthDay` | `addToCopy(int valueToAdd)` Deprecated. Adds to the value of this field in a copy of this YearMonthDay.
`YearMonthDay` | `addWrapFieldToCopy(int valueToAdd)` Deprecated. Adds to the value of this field in a copy of this YearMonthDay wrapping within this field if the maximum value is reached.
`int` | `get()` Deprecated. Gets the value of this field.
`DateTimeField` | `getField()` Deprecated. Gets the field that this property uses.
`protected ReadablePartial` | `getReadablePartial()` Deprecated. Gets the partial that this property belongs to.
`YearMonthDay` | `getYearMonthDay()` Deprecated. Gets the partial that this property belongs to.
`YearMonthDay` | `setCopy(int value)` Deprecated. Sets this field in a copy of the YearMonthDay.
`YearMonthDay` | `setCopy(java.lang.String text)` Deprecated. Sets this field in a copy of the YearMonthDay to a parsed text value.
`YearMonthDay` | `setCopy(java.lang.String text, java.util.Locale locale)` Deprecated. Sets this field in a copy of the YearMonthDay to a parsed text value.
`YearMonthDay` | `withMaximumValue()` Deprecated. Returns a new YearMonthDay with this field set to the maximum value for this field.
`YearMonthDay` | `withMinimumValue()` Deprecated. Returns a new YearMonthDay with this field set to the minimum value for this field.

Methods inherited from class org.joda.time.field.AbstractPartialFieldProperty
`compareTo, compareTo, equals, getAsShortText, getAsShortText, getAsString, getAsText, getAsText, getDurationField, getFieldType, getMaximumShortTextLength, getMaximumTextLength, getMaximumValue, getMaximumValueOverall, getMinimumValue, getMinimumValueOverall, getName, getRangeDurationField, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getField

    public DateTimeField getField()

  Deprecated.
  Gets the field that this property uses.

  Specified by:
    `getField` in class `AbstractPartialFieldProperty`
  Returns:
    the field

### getReadablePartial

    protected ReadablePartial getReadablePartial()

  Deprecated.
  Gets the partial that this property belongs to.

  Specified by:
    `getReadablePartial` in class `AbstractPartialFieldProperty`
  Returns:
    the partial

### getYearMonthDay

    public YearMonthDay getYearMonthDay()

  Deprecated.
  Gets the partial that this property belongs to.

  Returns:
    the partial

### get

    public int get()

  Deprecated.
  Gets the value of this field.

  Specified by:
    `get` in class `AbstractPartialFieldProperty`
  Returns:
    the field value

### addToCopy

    public YearMonthDay addToCopy(int valueToAdd)

  Deprecated.
  Adds to the value of this field in a copy of this YearMonthDay.

  The value will be added to this field. If the value is too large to be added solely to this field then it will affect larger fields. Smaller fields are unaffected.

  If the result would be too large, beyond the maximum year, then an IllegalArgumentException is thrown.

  The YearMonthDay attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `valueToAdd` - the value to add to the field in the copy
  Returns:
    a copy of the YearMonthDay with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the value isn't valid

### addWrapFieldToCopy

    public YearMonthDay addWrapFieldToCopy(int valueToAdd)

  Deprecated.
  Adds to the value of this field in a copy of this YearMonthDay wrapping within this field if the maximum value is reached.

  The value will be added to this field. If the value is too large to be added solely to this field then it wraps within this field. Other fields are unaffected.

  For example, `2004-12-20` addWrapField one month returns `2004-01-20`.

  The YearMonthDay attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `valueToAdd` - the value to add to the field in the copy
  Returns:
    a copy of the YearMonthDay with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the value isn't valid

### setCopy

    public YearMonthDay setCopy(int value)

  Deprecated.
  Sets this field in a copy of the YearMonthDay.

  The YearMonthDay attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `value` - the value to set the field in the copy to
  Returns:
    a copy of the YearMonthDay with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the value isn't valid

### setCopy

    public YearMonthDay setCopy(java.lang.String text,
                                java.util.Locale locale)

  Deprecated.
  Sets this field in a copy of the YearMonthDay to a parsed text value.

  The YearMonthDay attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `text` - the text value to set
    `locale` - optional locale to use for selecting a text symbol
  Returns:
    a copy of the YearMonthDay with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the text value isn't valid

### setCopy

    public YearMonthDay setCopy(java.lang.String text)

  Deprecated.
  Sets this field in a copy of the YearMonthDay to a parsed text value.

  The YearMonthDay attached to this property is unchanged by this call. Instead, a new instance is returned.

  Parameters:
    `text` - the text value to set
  Returns:
    a copy of the YearMonthDay with the field value changed
  Throws:
    `java.lang.IllegalArgumentException` - if the text value isn't valid

### withMaximumValue

    public YearMonthDay withMaximumValue()

  Deprecated.
  Returns a new YearMonthDay with this field set to the maximum value for this field.

  This operation is useful for obtaining a DateTime on the last day of the month, as month lengths vary.

       YearMonthDay lastDayOfMonth = dt.dayOfMonth().withMaximumValue();

  The YearMonthDay attached to this property is unchanged by this call.

  Returns:
    a copy of the YearMonthDay with this field set to its maximum
  Since:
    1.2

### withMinimumValue

    public YearMonthDay withMinimumValue()

  Deprecated.
  Returns a new YearMonthDay with this field set to the minimum value for this field.

  The YearMonthDay attached to this property is unchanged by this call.

  Returns:
    a copy of the YearMonthDay with this field set to its minimum
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD